<tool id="exploration_apply_bash" name="Apply a exploration model to a new set of spectra" version="0.0.1">
  <description>    </description>

  <command interpreter="bash"> scilab_wrapper.sh $script_file_sci   </command>

  <inputs>
      <param name="model"    format="mat,mat"   type="data"   label="Select the exploration model "      help="A mat or rdata file"/>
      <param name="Xtest"    format="tabular"   type="data"   label="Select X data" help="Dataset (n x q) containing the spectra to be predicted"/>
  </inputs>

  <configfiles>
    <configfile name="script_file_sci">
      f=atomsLoad(["FACT"]);
      stacksize('max');

      // exec(getenv('PATH_CHEM')+'/scilab/glx_xml2resreg.sci', -1);

      // res_exp=glx_xml2resreg("${model.file_name}");
      loadmatfile("${model.file_name}",'-mat')

      xtest=glx_tab2div("${Xtest.file_name}");

      res_applyexp=pcaapply(res_exp,xtest);

      kill=div2tab(res_applyexp,"${ypredtest}");

    </configfile>
  </configfiles>

  <outputs>
      <data name="ypredtest"  format="tabular"   type="data"   label="scores pred of ${Xtest.name} from ${model.name}" help="Dataset (n x a) containing the class predictions"/>
  </outputs>
  <tests>
    <test>
      <param name="model" value="model.xml"/>
      <param name="col1" value="4" />
      <param name="col2" value="1" />
      <param name="datacol" value="6" />
      <output name="ypredtest" file="ypredtest.tabular"/>
    </test>
  </tests>
<help>

.. class:: infomark

**Authors** Fabien Gogé (IRSTEA), Virginie Rossard (INRA), Eric Latrille (INRA), Jean-Michel Roger (IRSTEA), Jean-Claude Boulet (INRA)

---------------------------------------------------

-----------
Description
-----------


Applies a exploration model (PCA) to a new dataset.

-----------
Input files
-----------

**exploration model**
mat file containing all the results of PCA

**X data**
Matrix of numeric data with headers (tabular format) and decimal separator ".".


+--------+-------+--------+
| Name   | 400   | 402    |
+========+=======+========+
|M102T645| 0.63  |0.64    |
+--------+-------+--------+
|M105T604| 0.5   |0.49    |
+--------+-------+--------+


--------
Outfiles
--------

**scores pred of Xtest.file_name from model.file_name**

dataset containing the predicted scores values of Xtest from model



</help>
</tool>
